package com.om;


import org.junit.jupiter.api.Assertions;

import static org.junit.jupiter.api.Assertions.fail;


public class SubtractTest {

    public int subtract(int a , int b) {
        return a - b;
    }

   // @Test
    public void testSubtractBasicFunctionality() {
        Assertions.assertEquals(5, subtract(5, 2));
        Assertions.assertEquals(-1, subtract(2, 3));
        Assertions.assertEquals(0, subtract(10, 10));
        Assertions.assertEquals(-5, subtract(-2, 3));
    }

   // @Test
    public void testSubtractAdditionalCases() {
        Assertions.assertEquals(100, subtract(105, 5));
        Assertions.assertEquals(-10, subtract(-5, 5));
    }

   // @Test
    public void testFailMessage() {
        fail("您的测试未通过，请检查用例本身是否存在问题!");
    }
}
